package cn.com.tenlion.organizationmanagement.pojo.dtos.organization;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: OrganizationDTO
 * @Description: 组织管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 11:06:42
 * @Version: 3.0
 **/
@ApiModel
public class OrganizationDTO {

    @ApiModelProperty(name = "organizationId", value = "组织ID")
    private String organizationId;
    @ApiModelProperty(name = "organizationName", value = "组织名称")
    private String organizationName;
    @ApiModelProperty(name = "organizationUserNum", value = "组织人员数量")
    private Integer organizationUserNum;
    @ApiModelProperty(name = "organizationPrincipal", value = "组织负责人")
    private String organizationPrincipal;
    @ApiModelProperty(name = "organizationDesc", value = "组织描述")
    private String organizationDesc;
    @ApiModelProperty(name = "organizationImage", value = "组织图片")
    private String organizationImage;
    @ApiModelProperty(name = "organizationType", value = "组织类型")
    private String organizationType;
    @ApiModelProperty(name = "creator", value = "创建人")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;

    public String getOrganizationId() {
        return organizationId == null ? "" : organizationId.trim();
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName == null ? "" : organizationName.trim();
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Integer getOrganizationUserNum() {
        return organizationUserNum == null ? 0 : organizationUserNum;
    }

    public void setOrganizationUserNum(Integer organizationUserNum) {
        this.organizationUserNum = organizationUserNum;
    }

    public String getOrganizationPrincipal() {
        return organizationPrincipal == null ? "" : organizationPrincipal.trim();
    }

    public void setOrganizationPrincipal(String organizationPrincipal) {
        this.organizationPrincipal = organizationPrincipal;
    }

    public String getOrganizationDesc() {
        return organizationDesc == null ? "" : organizationDesc.trim();
    }

    public void setOrganizationDesc(String organizationDesc) {
        this.organizationDesc = organizationDesc;
    }

    public String getOrganizationImage() {
        return organizationImage == null ? "" : organizationImage.trim();
    }

    public void setOrganizationImage(String organizationImage) {
        this.organizationImage = organizationImage;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }


    public String getOrganizationType() {
        return organizationType;
    }

    public void setOrganizationType(String organizationType) {
        this.organizationType = organizationType;
    }
}
